// DBFView.h : interface of the CDBFView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DBFVIEW_H__86CF950B_4075_11D5_8A50_000102CA073A__INCLUDED_)
#define AFX_DBFVIEW_H__86CF950B_4075_11D5_8A50_000102CA073A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "XGridView.h"
#include "AdvButton.h"

#include "DBFViewDoc.h"

class CDBFView : public CXGridView
{
protected: // create from serialization only
	CDBFView();
	DECLARE_DYNCREATE(CDBFView)

// Attributes
public:
	CDBFViewDoc* GetDocument();
	CDBFRecordset*	m_pSet;
	DBF_LONG	m_CurRec;
	CImageList	m_ImageList;

	BOOL		m_bDOScode;

	CAdvButton* m_pctrlButton;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDBFView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

	virtual CELL_DATA GetCellData(int nCol, int nRow);
	virtual BOOL OnSaveCellData(int nCol, int nRow);
	virtual CALXCellCtrl* GetCellCtrl(int nCol, int nRow);
	virtual CALXCellMetrics* GetCellMetrics(int nCol, int nRow);
	virtual void OnDrawFrozenCell(CDC* pDC, int nCol, int nRow, int x, int y);
	virtual void OnFrozenButtonDblClk(int nFrozenCol, int nFrozenRow);

// Implementation
public:
	virtual ~CDBFView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDBFView)
	afx_msg void OnUpdateViewDos(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewWin(CCmdUI* pCmdUI);
	afx_msg void OnViewDos();
	afx_msg void OnViewWin();
	afx_msg void OnAdvButton();
	afx_msg void OnEditFind();
	afx_msg void OnUpdateEditFind(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DBFView.cpp
inline CDBFViewDoc* CDBFView::GetDocument()
   { return (CDBFViewDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DBFVIEW_H__86CF950B_4075_11D5_8A50_000102CA073A__INCLUDED_)
