// FindDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dbfviewapp.h"
#include "FindDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFindDlg dialog


CFindDlg::CFindDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFindDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFindDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CFindDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFindDlg)
	DDX_Control(pDX, IDC_RICHEDIT_EXPRESSION, m_ctrlEditExpression);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFindDlg, CDialog)
	//{{AFX_MSG_MAP(CFindDlg)
	ON_BN_CLICKED(IDC_BTN_FINDFIRST, OnBtnFindFirst)
	ON_BN_CLICKED(IDC_BTN_FINDLAST, OnBtnFindLast)
	ON_BN_CLICKED(IDC_BTN_FINDNEXT, OnBtnFindNext)
	ON_BN_CLICKED(IDC_BTN_FINDPREV, OnBtnFindPrev)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFindDlg message handlers

BOOL CFindDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_ctrlEditExpression.Init();
	m_ctrlEditExpression.SetWindowText(m_strExpression);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CFindDlg::OnBtnFindFirst() 
{
	m_ctrlEditExpression.GetWindowText(m_strExpression);
	m_nFindType = IDFT_FINDFIRST;

	CDialog::OnOK();
}

void CFindDlg::OnBtnFindLast() 
{
	m_ctrlEditExpression.GetWindowText(m_strExpression);
	m_nFindType = IDFT_FINDLAST;

	CDialog::OnOK();
}

void CFindDlg::OnBtnFindNext() 
{
	m_ctrlEditExpression.GetWindowText(m_strExpression);
	m_nFindType = IDFT_FINDNEXT;

	CDialog::OnOK();
}

void CFindDlg::OnBtnFindPrev() 
{
	m_ctrlEditExpression.GetWindowText(m_strExpression);
	m_nFindType = IDFT_FINDPREV;

	CDialog::OnOK();
}
